﻿using IRaCIS.Core.Domain.Share.Reading;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{
    public class ClinicalDataAddOrEdit : ClinicalData
    {
        public new Guid? Id { get; set; }

    }


    public class ClinicalDataSetAddOrEdit
    {
        public  Guid? Id { get; set; }

        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid? TrialId { get; set; }


        /// <summary>
        /// 名称
        /// </summary>
        public string ClinicalDataSetName { get; set; }

        /// <summary>
        /// 临床级别
        /// </summary>
        public ClinicalLevel ClinicalDataLevel { get; set; }


        /// <summary>
        /// 上传方式
        /// </summary>
        public ClinicalUploadType ClinicalUploadType { get; set; }
    }

    public class ClinicalDataView : ClinicalData
    {
        
    }

    public class ClinicalDataSetView
    {
        public Guid Id { get; set; }

        /// <summary>
        /// 项目ID
        /// </summary>
        public Guid? TrialId { get; set; }


        /// <summary>
        /// 名称
        /// </summary>
        public string ClinicalDataSetName { get; set; }

        /// <summary>
        /// 临床级别
        /// </summary>
        public ClinicalLevel ClinicalDataLevel { get; set; }


        /// <summary>
        /// 上传方式
        /// </summary>
        public ClinicalUploadType ClinicalUploadType { get; set; }


        /// <summary>
        /// 系统的ClinicalDataSetId
        /// </summary>
        public Guid? SystemClinicalDataSetId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public Guid CreateUserId { get; set; }
    }

    public class ClinicalDataInDto
    {
        /// <summary>
        /// 项目Id
        /// </summary>
        public Guid TrialId { get; set; }

        /// <summary>
        /// 受试者ID
        /// </summary>
        public Guid SubjectId { get; set; }

        /// <summary>
        /// 访视或者阅片ID
        /// </summary>
        public Guid VisitOrReadId { get; set; }
    }
    public class ClinicalDataQuery:PageInput
    {
        /// <summary>
		/// 项目ID
		/// </summary>
		public Guid? TrialId { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string ClinicalDataSetName { get; set; }=string.Empty;

    }

    public class AddTrialClinicalDataSetInDto
    {
        public Guid TrialId { get; set; }
    }
}
